MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
Timer Class Reference

`#include <Timer.hxx>`

## Public Member Functions
| Timer (AudioFormat af)
bool | IsStarted () const
void | Start ()
void | Reset ()
void | Add (size_t size)
std::chrono::steady_clock::duration | GetDelay () const
| Returns the duration to sleep to get back to sync. More...

## Detailed Description

Definition at line 27 of file Timer.hxx.

## Constructor & Destructor Documentation

Timer::Timer | ( | AudioFormat | af | ) |
| explicit

## Member Function Documentation

void Timer::Add | ( | size_t | size | ) |

std::chrono::steady_clock::duration Timer::GetDelay | ( |  | ) | const

Returns the duration to sleep to get back to sync.

bool Timer::IsStarted | ( |  | ) | const
| inline

Definition at line 36 of file Timer.hxx.

void Timer::Reset | ( |  | ) |

void Timer::Start | ( |  | ) |

The documentation for this class was generated from the following file:

- output/Timer.hxx